> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Text Document



## OpenAPI

````yaml /api-reference/openapi.json get /api/datasets/{dataset_id}/documents/{document_id}
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/datasets/{dataset_id}/documents/{document_id}:
    get:
      tags:
        - api
        - datasets
      summary: Get Text Document
      operationId: get_text_document_api_datasets__dataset_id__documents__document_id__get
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Dataset Id
        - name: document_id
          in: path
          required: true
          schema:
            type: string
            title: Document Id
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Character offset for paged text retrieval
            default: 0
            title: Offset
          description: Character offset for paged text retrieval
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200000
            minimum: 0
            description: Maximum number of characters to return (0 returns full text)
            default: 0
            title: Limit
          description: Maximum number of characters to return (0 returns full text)
        - name: version_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Dataset view version ("active" default, "original", or explicit
              version id)
            title: Version Id
          description: >-
            Dataset view version ("active" default, "original", or explicit
            version id)
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````